package com.tjk.entity;

import java.util.Date;

/**
 * User entity. @author MyEclipse Persistence Tools
 */

public class User implements java.io.Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = -4639178373583608539L;
	
	// Fields

	private Integer id;
	private Integer uid;
	private String name;
	private String mobile;
	private Integer verifyMobile;
	private Integer companyId;
	private String portraitUri;
	private String verifyReg;
	private Date regDate;
	private Integer role;
	private String cardUri;
	private String email;
	private String birthday;
	private Integer education;
	private Integer gender;
	private String password;
	private int isVerify;
	private String companyName;
	

	// Constructors

	public String getCompanyName() {
		return companyName;
	}

	public void setCompanyName(String companyName) {
		this.companyName = companyName;
	}

	/** default constructor */
	public User() {
	}

	/** full constructor */
	public User(Integer uid, String name, String mobile, Integer verifyMobile,
			Integer companyId, String portraitUri, String verifyReg,
			Date regDate, Integer role, String cardUri, String email,
			String birthday, Integer education, Integer gender,String password,int isVerify,String companyName) {
		this.uid = uid;
		this.name = name;
		this.mobile = mobile;
		this.verifyMobile = verifyMobile;
		this.companyId = companyId;
		this.portraitUri = portraitUri;
		this.verifyReg = verifyReg;
		this.regDate = regDate;
		this.role = role;
		this.cardUri = cardUri;
		this.email = email;
		this.birthday = birthday;
		this.education = education;
		this.gender = gender;
		this.password=password;
		this.isVerify = isVerify;
		this.companyName = companyName;
	}

	// Property accessors

	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}
	public Integer getId() {
		return this.id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Integer getUid() {
		return this.uid;
	}

	public void setUid(Integer uid) {
		this.uid = uid;
	}

	public String getName() {
		return this.name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getMobile() {
		return this.mobile;
	}

	public void setMobile(String mobile) {
		this.mobile = mobile;
	}

	public Integer getVerifyMobile() {
		return this.verifyMobile;
	}

	public void setVerifyMobile(Integer verifyMobile) {
		this.verifyMobile = verifyMobile;
	}

	public Integer getCompanyId() {
		return this.companyId;
	}

	public void setCompanyId(Integer companyId) {
		this.companyId = companyId;
	}

	public String getPortraitUri() {
		return this.portraitUri;
	}

	public void setPortraitUri(String portraitUri) {
		this.portraitUri = portraitUri;
	}

	public String getVerifyReg() {
		return this.verifyReg;
	}

	public void setVerifyReg(String verifyReg) {
		this.verifyReg = verifyReg;
	}

	public Date getRegDate() {
		return this.regDate;
	}

	public void setRegDate(Date regDate) {
		this.regDate = regDate;
	}

	public Integer getRole() {
		return this.role;
	}

	public void setRole(Integer role) {
		this.role = role;
	}

	public String getCardUri() {
		return this.cardUri;
	}

	public void setCardUri(String cardUri) {
		this.cardUri = cardUri;
	}

	public String getEmail() {
		return this.email;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	public String getBirthday() {
		return this.birthday;
	}

	public void setBirthday(String birthday) {
		this.birthday = birthday;
	}

	public Integer getEducation() {
		return this.education;
	}

	public void setEducation(Integer education) {
		this.education = education;
	}

	public Integer getGender() {
		return this.gender;
	}

	public void setGender(Integer gender) {
		this.gender = gender;
	}

	public int getIsVerify() {
		return isVerify;
	}

	public void setIsVerify(int isVerify) {
		this.isVerify = isVerify;
	}

}